package go;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.ArrayList;

public class Obrázek extends GrafickýObjekt
{
    private ArrayList<GrafickýObjekt> obrázek = new ArrayList<>();

    public Obrázek() 
    {
        super(0);
    }
    
    public void přidej(GrafickýObjekt grafickýObjekt) throws CloneNotSupportedException
    {
        obrázek.add(grafickýObjekt.clone());
    }
    
    @Override
    public void nakresli()
    {
        for(var go: obrázek)
        {
            go.nakresli();
        }
    }
    
    public void ulož(String jménoSouboru) throws IOException
    {
        try(var výstup = new ObjectOutputStream(new FileOutputStream(jménoSouboru)))
        {
            výstup.writeObject(this);
        }
    }
    
    public static Obrázek načti(String jménoSouboru) throws IOException, ClassNotFoundException
    {
        try(var vstup = new ObjectInputStream(new FileInputStream(jménoSouboru)))
        {
            return (Obrázek) vstup.readObject();
        }
    }
}
