package io;

import java.io.*;

public class Program 
{
    private static final String jménoSouboru = "data.dta";
    
    public static void výpis(int[] data) throws IOException
    {
        try(var výstup = new DataOutputStream(new FileOutputStream(jménoSouboru)))
        {
            for(var i: data)
            {
                výstup.writeInt(i);
            }
        }
    }
    
    public static int[] čtení() throws IOException
    {
        File soubor = new File(jménoSouboru);
        if(!soubor.exists())
        {
            throw new IOException("Soubor " + jménoSouboru + " neexistuje");
        }
        long délka = soubor.length()/Integer.BYTES;
        int[] data = new int[(int)délka];
        try(var vstup = new DataInputStream(new FileInputStream(jménoSouboru)))
        {
            for(int i = 0; i < délka; i++)
            {
                data[i] = vstup.readInt();
            }
        }
        return data;
    }
    
    public static void main(String[] args) throws IOException 
    {
        //int[] A={1,2,3,4,5,6};
        //výpis(A);
        int [] pole = čtení();
        for(int i = 0; i < pole.length; i++)
        {
            System.out.print(pole[i] + ", ");
        }
    }
    
}
