package neserializovatelná;

import java.io.*;
import java.util.ArrayList;

public class Nová implements Serializable
{
    private Neserializovatelná potvora = null;
    private int x = 0;
    private ArrayList<Integer> čísla = new ArrayList<>();
    
    public Nová(int _n, int _x)
    {
        x = _x;
        potvora = new Neserializovatelná(_n);
        čísla.add(x*x);
        čísla.add(_n*_x);
        čísla.add(_n*_n);
    }
    public void vypiš()
    {
        System.out.println(x + ", " + potvora.getN() + ", " + čísla);
    }
    
    private void writeObject(ObjectOutputStream výstup) throws IOException
    {
        výstup.writeInt(x);
        výstup.writeInt(potvora.getN());
        výstup.writeObject(čísla);
    }
    
    private void readObject(ObjectInputStream vstup) throws IOException, ClassNotFoundException
    {
        x = vstup.readInt();
        potvora = new Neserializovatelná(vstup.readInt());
        čísla = (ArrayList<Integer>) vstup.readObject();  
    }
    static final long serialVersionUID = 42L;
    
    public void ulož(String jménoSouboru) throws IOException
    {
        try(ObjectOutputStream výstup = new ObjectOutputStream(new FileOutputStream(jménoSouboru)))
        {
            výstup.writeObject(this);
        }
    }
    
    public static Nová načti(String jménoSouboru) throws IOException, ClassNotFoundException
    {
        try(ObjectInputStream vstup = new ObjectInputStream(new FileInputStream(jménoSouboru)))
        {
            return (Nová) vstup.readObject();
        }
    }
}
